%set_libtool_version 1.4

Name: rrd
Version: 1.0.45
Release: alt2
%define native rrdtool

Summary: RRD - round robin database
License: GPL
Group: Development/Databases
Url: http://ee-staff.ethz.ch/~oetiker/webtools/%native

Source0: %url/pub/%native-%version.tar.bz2
Source1: MRTG-HOWTO

Patch99: %name-1.0.33-alt.patch
Patch100: %name-1.0.40-alt-configure.patch
Patch101: %name-1.0.40-alt-makefile.patch
Patch102: %name-1.0.40-alt-rmgif.patch
Patch103: %name-1.0.40-alt-warnings.patch

Patch0: %name-1.0.45-alt-configure.patch

Patch1: %name-1.0.45-alt-makefile.patch

# remove support for GIF format from rrd-tool
#  also, remove any references to GIF
Patch2: %name-1.0.45-alt-rmgif.patch

Patch3: %name-1.0.45-alt-warnings.patch

Requires: lib%name = %version-%release

Prefix: %prefix

# Automatically added by buildreq on Thu Jan 30 2003
BuildRequires: freetype2 groff-base libgd2-devel libpng-devel perl-devel tcl-devel zlib-devel
BuildRequires: libtool_1.4

%package -n lib%name
Summary: Round Robin Database shared library
Group: System/Libraries

%package -n lib%name-devel
Summary: Round Robin Database development files and documentation
Group: Development/C
Requires: lib%name = %version-%release
Provides: %native-devel = %version
Obsoletes: %native-devel

%package -n lib%name-devel-static
Summary: Round Robin Database static library
Group: Development/C
Requires: lib%name-devel = %version-%release
Provides: %native-devel-static = %version
Obsoletes: %native-devel-static

%package utils
Summary: Round Robin Database utilities
Group: Development/Databases
Requires: lib%name = %version-%release
Provides: %native = %version
Obsoletes: %native

%package perl
Summary: Round Robin Database perl modules
Group: Development/Databases
Requires: lib%name = %version-%release
AutoReqProv: yes, perl

%package tcl
Summary: Round Robin Database tcl extension
Group: Development/Databases
Requires: lib%name = %version-%release

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). It stores the data in a very compact way that will not
expand over time, and it presents useful graphs by processing the data to
enforce a certain data density. It can be used either via simple wrapper
scripts (from shell or Perl) or via frontends that poll network devices and
put a friendly user interface on it.

%description -n lib%name
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average).

This package contains shared library required for running RRD-based software.

%description -n lib%name-devel
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average).

This package contains development files and documentation required for
development of RRD-based software.

%description -n lib%name-devel-static
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average).

This package contains static library required for development of RRD-based
statically linked software.

%description utils
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). It stores the data in a very compact way that will not
expand over time, and it presents useful graphs by processing the data to
enforce a certain data density. It can be used either via simple wrapper
scripts (from shell or Perl) or via frontends that poll network devices and
put a friendly user interface on it.

This package contains utilities for manipulating Round Robin Databases.

%description perl
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). It stores the data in a very compact way that will not
expand over time, and it presents useful graphs by processing the data to
enforce a certain data density. It can be used either via simple wrapper
scripts (from shell or Perl) or via frontends that poll network devices and
put a friendly user interface on it.

This package contains perl modules for access the Round Robin Databases.

%description tcl
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). It stores the data in a very compact way that will not
expand over time, and it presents useful graphs by processing the data to
enforce a certain data density. It can be used either via simple wrapper
scripts (from shell or Perl) or via frontends that poll network devices and
put a friendly user interface on it.

This package contains tcl extension for access the Round Robin Databases.

%prep
%setup -q -n %native-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

find doc perl-piped -type f -print0 |
	xargs -r0 fgrep -l /usr/local |
	xargs -r perl -pi -e 's,/usr/local,%prefix,g'

%build
%add_optflags -I%buildroot/%native-%version/src
libtoolize --copy --force
aclocal
autoheader
autoconf
automake -a -c -f
%configure --with-tcllib=%_libdir --enable-shared
%make_build

pushd perl-piped
	%__make clean
	%perl_vendor_build
popd
pushd perl-shared
	%__make clean
	%perl_vendor_build
popd

%install
pushd perl-piped
	%perl_vendor_install
popd
pushd perl-shared
	%perl_vendor_install
popd


%makeinstall

%__mkdir_p %buildroot/%_includedir
%__install -p -m644 src/%{name}*.h %buildroot/%_includedir
%__install -p -m755 contrib/log2rrd/log2rrd.pl contrib/trytime/trytime %buildroot/%_bindir

# install tcl
%__mkdir_p %buildroot/%_tcllibdir
%__mkdir_p %buildroot/%_tcldatadir/%name
%__install -m 0755 tcl/tclrrd.%version.so %buildroot/%_tcllibdir/tclrrd.so.%version
echo "package ifneeded Rrd %version [list load [file join \$dir ../../../lib/tcl/tclrrd.so.%version]]" > %buildroot%_tcldatadir/%name/pkgIndex.tcl

#tea_makeindex -vC %buildroot/%_tcldatadir/%name -f tclrrd.so.%version

# Prepare docs.
%__mkdir_p %buildroot/%_docdir/%name-%version/txt

%__install -p -m644 CHANGES CONTRIBUTORS COPYRIGHT README TODO %buildroot/%_docdir/%name-%version
%__install -p -m644 tcl/README %buildroot/%_docdir/%name-%version/README.tcl
%__install -p -m644 tcl/ifOctets.tcl %buildroot/%_docdir/%name-%version/examples

%__make -C contrib/trytime clean

tar -cvjf %buildroot/%_docdir/%name-%version/contrib.tar.bz2 ./contrib

#find %buildroot/%_docdir/%name-%version/contrib -name .\* -print0 |
#	xargs -r0 %__rm -rf
#find %buildroot/%_docdir/%name-%version/contrib -name Makefile -o -name \*.in -print0 |
#	xargs -r0 %__rm -f
#find %buildroot/%_docdir/%name-%version/contrib -type f -print0 |
#	xargs -r0 fgrep -l /usr/sbin/lsattr |
#	xargs perl -pi -e 's,/usr/sbin/lsattr,/usr/bin/lsattr,g'
find %buildroot/%_docdir/%name-%version -type f -print0 |
	xargs -r0 %__chmod -x

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/lib*.so
%_includedir/*.h
%dir %doc %_docdir/%name-%version
%doc %_docdir/%name-%version/[a-z]*

%files -n lib%name-devel-static
%_libdir/*.a

%files utils
%_bindir/*
%_mandir/man1/[a-z]*
%dir %doc %_docdir/%name-%version
%doc %_docdir/%name-%version/[A-Z]*

%files perl
%perl_vendor_privlib/RRD*
%perl_vendor_archlib/RRD*
%perl_vendor_autolib/RRD*
%perl_vendor_man3dir/RRD*

%files tcl
%_tcllibdir/tcl*
%dir %_tcldatadir/%name
%_tcldatadir/%name/*

%changelog
* Mon Dec 15 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.0.45-alt2
- remove *.la from package

* Mon Sep 08 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.0.45-alt1
- 1.0.45
- rebuild with hasher

* Thu Jan 30 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.0.40-alt1
- 1.0.40

* Wed Oct 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.33-alt1
- 1.0.33.
- Added missing RRDs.pm module.
- Moved static library to devel-static subpackage.
- Relocated documentation.
- Built with libpng.so.3

* Tue Jul 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.30-ipl3mdk
- Rebuilt with new perl.

* Mon Jun 25 2001 Sergie Pugachev <fd_rag@altlinux.ru> 1.0.30-ipl2mdk
- Rebuilt with perl-5.6.1

* Tue Feb 20 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.30-ipl1mdk
- 1.0.30.

* Thu Jan 18 2001 Dmitry V. Levin <ldv@fandra.org> 1.0.28-ipl1mdk
- Initial revision.

